//**********************************************************************
//
//	medieval_soc.shader for Q3 by Sims
//	Website : http://www.simonoc.com/
//
//**********************************************************************
//

// ----------------------------------------------------------------------
textures/_medieval_soc/light1_3k
{
	qer_editorimage textures/_medieval_soc/light1.tga
	q3map_lightImage textures/_medieval_soc/light1.tga
	q3map_surfacelight 4000
	q3map_nonplanar
	q3map_shadeangle 100
	surfaceparm trans
	surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/_medieval_soc/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/_medieval_soc/light1_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 0.25
	}
}
// ----------------------------------------------------------------------
textures/_medieval_soc/light2_3k
{
	qer_editorimage textures/_medieval_soc/light2.tga
	q3map_lightImage textures/_medieval_soc/light2.tga
	q3map_surfacelight 3000
	q3map_nonplanar
	q3map_shadeangle 100
	surfaceparm trans
	surfaceparm nomarks
        surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/_medieval_soc/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/_medieval_soc/light2_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 0.25
	}
}
// ----------------------------------------------------------------------
textures/_medieval_soc/light1_beam
{
	qer_editorimage textures/_medieval_soc/light1_beam.tga
	qer_alphafunc greater 0.5
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans 0.9
	cull none
	{
		map textures/_medieval_soc/light1_beam.tga
		blendFunc GL_ONE GL_ONE
		tcMod Scroll 0.1 0
		detail
	}
}

// ----------------------------------------------------------------------
textures/_medieval_soc/floor_stone1
{
	qer_editorimage textures/_medieval_soc/floor_stone1.tga
	q3map_nonplanar
	q3map_shadeangle 45
        surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/_medieval_soc/floor_stone1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

// ----------------------------------------------------------------------
textures/_medieval_soc/floor_steptop1
{
	qer_editorimage textures/_medieval_soc/floor_steptop1.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/_medieval_soc/floor_steptop1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/_medieval_soc/floor_steptop1c
{
	qer_editorimage textures/_medieval_soc/floor_steptop1c.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/medieval_soc/floor_steptop1c.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/_medieval_soc/floor_stepside1
{
	qer_editorimage textures/_medieval_soc/floor_stepside1.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/_medieval_soc/floor_stepside1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/_medieval_soc/floor_stepside1c
{
	qer_editorimage textures/_medieval_soc/floor_stepside1c.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/_medieval_soc/floor_stepside1c.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/_medieval_soc/marble_black
{
	qer_editorimage textures/_medieval_soc/marble_black.tga
	q3map_nonplanar
	q3map_shadeangle 45
        surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/_medieval_soc/marble_black.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/_medieval_soc/metal1
{
	qer_editorimage textures/_medieval_soc/metal1.tga
	q3map_nonplanar
	q3map_shadeangle 60
        surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/_medieval_soc/metal1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/_medieval_soc/metal2
{
	qer_editorimage textures/_medieval_soc/metal2.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/_medieval_soc/metal2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/_medieval_soc/metal_trim1
{
	qer_editorimage textures/_medieval_soc/metal_trim1.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/_medieval_soc/metal_trim1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/_medieval_soc/rooftile1
{
	qer_editorimage textures/_medieval_soc/rooftile1.tga
	q3map_nonplanar
	q3map_shadeangle 90
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/_medieval_soc/rooftile1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/_medieval_soc/stone1
{
	qer_editorimage textures/_medieval_soc/stone1.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/_medieval_soc/stone1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/_medieval_soc/stone2
{
	qer_editorimage textures/_medieval_soc/stone2.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/_medieval_soc/stone2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

// ----------------------------------------------------------------------
textures/_medieval_soc/stone_trim1
{
	qer_editorimage textures/_medieval_soc/stone_trim1.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/_medieval_soc/stone_trim1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/_medieval_soc/wood_grey
{
	qer_editorimage textures/_medieval_soc/wood_grey.tga
        q3map_nonplanar
	q3map_shadeangle 60
        surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/_medieval_soc/wood_grey.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/_medieval_soc/wood_browndark
{
	qer_editorimage textures/_medieval_soc/wood_browndark.tga
        q3map_nonplanar
	q3map_shadeangle 60
        surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/_medieval_soc/wood_browndark.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/_medieval_soc/wood_brownlight
{
	qer_editorimage textures/_medieval_soc/wood_brownlight.tga
        q3map_nonplanar
	q3map_shadeangle 60
        surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/_medieval_soc/wood_brownlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/_medieval_soc/wood_trim1c
{
	qer_editorimage textures/_medieval_soc/wood_trim1c.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/_medieval_soc/wood_trim1c.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/_medieval_soc/wood_trim1d
{
	qer_editorimage textures/_medieval_soc/wood_trim1d.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/_medieval_soc/wood_trim1d.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/_medieval_soc/woodplank_1a
{
	qer_editorimage textures/_medieval_soc/woodplank_1a.tga
	q3map_nonplanar
	q3map_shadeangle 45
        surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/_medieval_soc/woodplank_1a.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/_medieval_soc/woodplank_1b
{
	qer_editorimage textures/_medieval_soc/woodplank_1b.tga
	q3map_nonplanar
	q3map_shadeangle 45
        surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/_medieval_soc/woodplank_1b.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/_medieval_soc/woodplank_2
{
	qer_editorimage textures/_medieval_soc/woodplank_2.tga
	q3map_nonplanar
	q3map_shadeangle 45
	surfaceparm nomarks
        surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/_medieval_soc/woodplank_2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/_medieval_soc/00rejas
{
qer_editorimage textures/_medieval_soc/rejas.tga
cull disable
nopicmip
{
map textures/_medieval_soc/rejas.tga
alphaFunc GE128
}
{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
}
}

textures/_medieval_soc/00nieve1
{
        qer_editorimage textures/_medieval_soc/nieve.jpg
        surfaceparm nodamage
        surfaceparm slick
        {
            map textures/_medieval_soc/nieve1.jpg
            tcGen environment
        }
        {
            map textures/_medieval_soc/nieve1.jpg
            blendFunc GL_ONE GL_ONE
            rgbGen identity
            tcmod scale 2 2
        }
        {
            map $lightmap
            rgbgen identity
            blendFunc GL_DST_COLOR GL_ZERO
        }
}


textures/_medieval_soc/stone11
{
	qer_editorimage textures/_medieval_soc/stone11.tga
	q3map_nonplanar
	q3map_shadeangle 60
        surfaceparm slick
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/_medieval_soc/stone11.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

// ======================================================================
// B U T T O N S
// ======================================================================
textures/_medieval_soc/button_woodhand
{
	qer_editorimage textures/_medieval_soc/button_woodhand.tga
	q3map_nonplanar
	q3map_shadeangle 75
        surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/_medieval_soc/button_woodhand.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/_medieval_soc/button_woodhand45
{
	qer_editorimage textures/_medieval_soc/button_woodhand45.tga
	q3map_nonplanar
	q3map_shadeangle 75
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/_medieval_soc/button_woodhand45.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/_medieval_soc/button_woodshoot
{
	qer_editorimage textures/_medieval_soc/button_woodshoot.tga
	q3map_nonplanar
	q3map_shadeangle 75
        surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/_medieval_soc/button_woodshoot.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/_medieval_soc/button_woodside
{
	qer_editorimage textures/_medieval_soc/button_woodside.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/_medieval_soc/button_woodside.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
